<?php
namespace Ep\Woo;

use Zend\ServiceManager\Factory\InvokableFactory;

return [
    'wp_plugins' => [
        'aliases' => [
            'woo.rest'                         => Plugin\RestApi::class,
            'woo.translations'                 => Plugin\Translations::class,
            'woo.account.recaptcha'            => Plugin\Account\ReCaptcha::class,
            'woo.ajax.addtocart'               => Plugin\Ajax\AddToCart::class,
            'woo.products.backorders'          => Plugin\Product\Backorders::class,
            'woo.cart.emptycart'               => Plugin\Cart\EmptyCart::class,
            'woo.category.automenu'            => Plugin\Category\AutoMenu::class,
            'woo.category.cache'               => Plugin\Category\Cache::class,
            'woo.category.display'             => Plugin\Category\Display::class,
            'woo.category.orderby'             => Plugin\Category\OrderBy::class,
            'woo.category.uncategorized'       => Plugin\Category\Uncategorized::class,
            'woo.checkout.r1'                  => Plugin\Checkout\R1::class,
            'woo.coupons.userregisteredbefore' => Plugin\Coupon\UserRegisteredBefore::class,
            'woo.orders.customstatus'          => Plugin\Order\CustomStatus::class,
            'woo.payment.2checkout'            => Plugin\Payment\TwoCheckout::class,
            'woo.payment.adyen'                => Plugin\Payment\Adyen::class,
            'woo.payment.braintree'            => Plugin\Payment\Braintree::class,
            'woo.payment.paypal'               => Plugin\Payment\Paypal::class,
            'woo.products.entity'              => Plugin\Product\ProductClass::class,
            'woo.products.loginforprices'      => Plugin\Product\LoginForPrices::class,
            'woo.products.productclass'        => Plugin\Product\ProductClass::class,
            'woo.shipping.currency'            => Plugin\Shipping\Currency::class,
            'woo.shipping.hideflatrate'        => Plugin\Shipping\HideFlatRate::class,
            'woo.user.currency'                => Plugin\User\Currency::class,
        ],

        'factories' => [
            Plugin\RestApi::class                     => InvokableFactory::class,
            Plugin\Translations::class                => InvokableFactory::class,
            Plugin\Account\ReCaptcha::class           => Plugin\Account\ReCaptchaFactory::class,
            Plugin\Ajax\AddToCart::class              => InvokableFactory::class,
            Plugin\Cart\EmptyCart::class              => InvokableFactory::class,
            Plugin\Category\AutoMenu::class           => InvokableFactory::class,
            Plugin\Category\Cache::class              => Plugin\Category\CacheFactory::class,
            Plugin\Category\Display::class            => InvokableFactory::class,
            Plugin\Category\OrderBy::class            => InvokableFactory::class,
            Plugin\Category\Uncategorized::class      => InvokableFactory::class,
            Plugin\Checkout\R1::class                 => InvokableFactory::class,
            Plugin\Coupon\UserRegisteredBefore::class => InvokableFactory::class,
            Plugin\Order\CustomStatus::class          => InvokableFactory::class,
            Plugin\Payment\Adyen::class               => InvokableFactory::class,
            Plugin\Payment\Braintree::class           => Plugin\Payment\PaypalFactory::class,
            Plugin\Payment\Paypal::class              => Plugin\Payment\PaypalFactory::class,
            Plugin\Payment\TwoCheckout::class         => InvokableFactory::class,
            Plugin\Product\Backorders::class          => InvokableFactory::class,
            Plugin\Product\LoginForPrices::class      => InvokableFactory::class,
            Plugin\Product\ProductClass::class        => InvokableFactory::class,
            Plugin\Shipping\Currency::class           => Plugin\Shipping\CurrencyFactory::class,
            Plugin\Shipping\HideFlatRate::class       => InvokableFactory::class,
            Plugin\User\Currency::class               => InvokableFactory::class,
        ],
    ],
];