<?php
namespace Ep\Woo\Plugin\Category;

use Ep\Wp\Plugin\PluginInterface;

/**
 * Kontrolira prikaz kategorije.
 *
 * @package Ep\Woo\Plugin\Category
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class Display implements PluginInterface
{
    /**
     * Dodaje akcije i filtere u WordPress.
     *
     * @return void
     */
    public function __invoke(): void
    {
        add_filter('woocommerce_product_subcategories_hide_empty', [$this, 'wc_product_subcategories_hide_empty']);
    }

    /**
     * Uvijek prikazujemo podkategorije.
     *
     * @return bool
     */
    public function wc_product_subcategories_hide_empty()
    {
        return false;
    }
}