<?php
namespace Ep\Woo\Plugin\Category;

use Ep\Wp\Plugin\PluginInterface;

/**
 * Class OrderBy
 *
 * @package Ep\Woo\Plugin\Category
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/woocommerce
 */
class OrderBy implements PluginInterface
{
    /**
     * Dodaje akcije i filtere u WordPress.
     *
     * @return void
     */
    public function __invoke(): void
    {
        add_filter('woocommerce_catalog_orderby', [$this, 'wc_catalog_orderby']);
    }

    public function wc_catalog_orderby($options)
    {
        return [
            'name' => __('Razvrstaj po nazivu', 'ep-woocommerce'),
            'date' => $options['date'],
            'price' => $options['price'],
            'price-desc' => $options['price-desc'],
        ];
    }
}